Finish passkey login

POST/auth/v1/passkey/login/finish

Completes a passkey login by verifying the signed WebAuthn credential against the session and returning authentication tokens.

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_auth.passkeyLoginFinishBody",
  "$ref-value": {
    "properties": {
      "credential": {
        "items": {
          "type": "integer"
        },
        "type": "array"
      },
      "session_id": {
        "type": "string"
      }
    },
    "required": [
      "session_id"
    ],
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/passkey/login/finish" \
  -H "Content-Type: application/json" \
  -d '{
    "session_id": "string"
  }'

OK

application/json

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}